Skip to main content
GET
/
stakers
/
{address}
/
events
/
withdrawal
Retrieve all withdrawal events for a given staker address
curl --request GET \
  --url https://api.eigenexplorer.com/stakers/{address}/events/withdrawal \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/stakers/{address}/events/withdrawal"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/stakers/{address}/events/withdrawal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tx": "0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0",
  "blockNumber": 21045085,
  "blockTime": "2024-10-25T20:41:11.000Z",
  "type": "WITHDRAWAL_QUEUED",
  "args": {
    "withdrawalRoot": "0xe6cdf9110330e1648039cb98e680aeb9d1c63e022764186f1131eb9432605421",
    "delegatedTo": "0x4cd2086e1d708e65db5d4f5712a9ca46ed4bbd0a",
    "withdrawer": "0x513ea5a99988252f3b2cd8382ac077d7fd26ef48",
    "nonce": 0,
    "startBlock": 21054925,
    "strategies": [
      {
        "strategy": "0xacb55c530acdb2849e6d4f36992cd8c9d50ed8f7",
        "shares": "1000000000000000000",
        "underlyingToken": "0xae7ab96520DE3A18E5e111B5EaAb095312D7fE84",
        "underlyingValue": 5,
        "ethValue": 1
      }
    ]
  }
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}
The default date range between startAt and endAt is 7 days, with startAt set 7 days before endAt.By default, endAt is set to the current timestamp (now).
The maximum allowed date range is 30 days.

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The address of the staker

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xd4fcde9bb1d746Dd7e5463b01Dd819EE06aF25db"

Query Parameters

txHash
string

The transaction hash associated with the event

Pattern: ^0x([A-Fa-f0-9]{64})$
startAt
string

Start date in ISO string format

Example:

"2024-11-15T00:00:00.000Z"

endAt
string

End date in ISO string format

Example:

"2024-12-15T00:00:00.000Z"

type
enum<string>

The type of the withdrawal event

Available options:
WITHDRAWAL_QUEUED,
WITHDRAWAL_COMPLETED
withdrawalRoot
string

The withdrawal root associated with the event

Pattern: ^0x[a-fA-F0-9]{64}$
delegatedTo
string

The address to which funds were delegated

Pattern: ^0x[a-fA-F0-9]{40}$
withdrawer
string

The address of the withdrawer

Pattern: ^0x[a-fA-F0-9]{40}$
withTokenData
enum<string>
default:false

Toggle whether the route should return underlying token address and underlying value

Available options:
true,
false
Example:

"false"

withEthValue
enum<string>
default:false

Toggle whether the route should return value denominated in ETH

Available options:
true,
false
Example:

"false"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The withdrawal events found for the staker.

tx
string
required

The transaction hash

Example:

"0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0"

blockNumber
number
required

The block number of the transaction

Example:

21045085

blockTime
string
required

The block time of the transaction as an ISO 8601 string

Example:

"2024-10-25T20:41:11.000Z"

type
enum<string>
required

The type of the event

Available options:
WITHDRAWAL_QUEUED,
WITHDRAWAL_COMPLETED
Example:

"WITHDRAWAL_QUEUED"

args
object
required